node_modules:
	npm install

WEBPACK_BUILD := ./node_modules/.bin/webpack-cli --config webpack.config.js

.PHONY: prod
prod:
	${WEBPACK_BUILD} --env.NODE_ENV=production

.PHONY: dev
dev:
	${WEBPACK_BUILD} --env.NODE_ENV=development

.PHONY: start
start: dev
	node dist/bundle.js

dockerfile: dist/bundle.js
	sudo docker build -t lateinicus/server -f Dockerfile dist/
